Get consumer user details
GET/auth/company/consumer-users/:id
Get consumer user details
Request
Path Parameters
id stringrequired
Unique ID of the consumer user in scope.
Responses
- 200
- 401
successful operation
- application/json
- Schema
- Example (from schema)
Schema
id uuid
Cents ID of the consumer user
external_id string
Company external id of the user
full_name string
first name and last name of the consumer user
email email
email of the consumer user
email_anonymized boolean
Email anonymized flag (if email is anonymized or not)
phone string
phone number of the consumer user with the country code
default_currency string
Default value: EUR
Default currency
user_impact
object
user impact with its donations
total_donations integer
total donated amount (in the smallest currency unit, so 1000 is 10.00€). Using consumer user main currency
cost_examples object
detail of cost example related to donated amount
billable_address
object
street_address stringrequired
city stringrequired
region_state stringrequired
zip_code stringrequired
country stringrequired
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"external_id": 5.7496782767816784e+23,
"full_name": "Mario Rossi",
"email": "mario@email.com",
"email_anonymized": false,
"phone": 3933334445555,
"default_currency": "EUR",
"user_impact": {
"total_donations": 15000,
"cost_examples": {}
},
"billable_address": {
"street_address": "via Roma 5",
"city": "Milan",
"region_state": "Lombardia",
"zip_code": "20100",
"country": "Italy"
}
}
Unauthorized
Loading...